# Welcome to holi's Contributing Guide

Thank you for considering contributing to holi. We want to develop holi together with the community!

Following these guidelines helps to communicate that you respect the time of the developers managing and developing this open source project. In return, they should reciprocate that respect in addressing your issue, assessing changes, and helping you finalize your work.

We love to receive contributions from our community — you! There are many ways to contribute, from writing tutorials or blog posts, improving the documentation, submitting bug reports and feature requests or writing code, directly changing the holi app.

In this guide you will get an overview of the contribution workflow from opening an issue, creating a PR, reviewing, and merging the PR.

## New Contributor guide

There's many ways you could contribute to holi. For all of them, you first need an account on our gitlab. Set one up [here](https://app.gitlab-pages.holi.team/users/sign_up), after which we will approve your account. You will get confirmation via E-Mail and can proceed with setting up your account by following the instructions in the E-Mail and in GitLab itself. 

### Finding and reporting bugs

You can help us by reporting bugs you found. Just log into GitLab and report the issue in the correct project. When in doubt, report it in [holi-frontends](https://gitlab.holi.team/app/holi-frontends/-/issues).

### Translating

Help with translations to any language is highly appreciated. If you would like to add a translation, please get in contact by first opening an issue in [holi-frontends](https://gitlab.holi.team/app/holi-frontends/-/issues). We can then support you.

### Feature Requests

We welcome suggestions for new features! To request a feature:

* Search the [issue tracker](https://gitlab.holi.team/app/holi-frontends/-/issues) to ensure it hasn't been requested before.
* If not found, open a new issue detailing the feature you'd like to see. Explain its purpose and potential benefits.

### Developing/Coding

If you are new and want to contribute to development, read the
[README in the holi-meta project](https://gitlab.holi.team/app/holi-meta) and follow its instructions on setting up a
development environment.

#### Merge Requests

Once you're done, please open a Merge Request for your code. The holi devs look at Pull Requests on a regular basis. Review feedback will be given directly on the Merge Request.